# These are external variables, and shouldn't clash with anything else
#  APPCPP
#  APPCPP_BUILT
#

if [ -z ${APPCPP_BUILT} ]
then
    APP="obj/@P@"
    LIBS=""

    echo "Building application ${APP}..."

    source src/cppapp/build.monolithic

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${HDR} ${SRC}
    do
        if [ ${test} -nt ${CPPAPP} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling"

        do_cmd ${CXX} ${CFLAGS} -o "${APP}" \
            ${SRC} ${LIBS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    APPCPP=${APP}
    APPCPP_BUILT=1

fi
